@charset "UTF-8";

/**
 * selectize.bootstrap3.css (v0.12.4) - Bootstrap 3 Theme
 * Copyright (c) 2013–2015 Brian Reavis & contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain a copy of the License at:
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under
 * the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
 * ANY KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 *
 * @author Brian Reavis <brian@thirdroute.com>
 */

.selectize-control.plugin-drag_drop.multi > .selectize-input > div.ui-sortable-placeholder {
  visibility: visible !important;
  background: #f2f2f2 !important;
  background: rgba(0, 0, 0, 0.06) !important;
  border: 0 none !important;
  -webkit-box-shadow: inset 0 0 12px 4px #ffffff;
  box-shadow: inset 0 0 12px 4px #ffffff;
}

.selectize-control.plugin-drag_drop .ui-sortable-placeholder::after {
  content: '!';
  visibility: hidden;
}

.selectize-control.plugin-drag_drop .ui-sortable-helper {
  -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.selectize-dropdown-header {
  position: relative;
  padding: 3px 12px;
  border-bottom: 1px solid #d0d0d0;
  background: #f8f8f8;
  border-radius: 4px 4px 0 0;
}

.selectize-dropdown-header-close {
  position: absolute;
  right: 12px;
  top: 50%;
  color: #333333;
  opacity: 0.4;
  margin-top: -12px;
  line-height: 20px;
  font-size: 20px !important;
}

.selectize-dropdown-header-close:hover {
  color: #000000;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup {
  border-right: 1px solid #f2f2f2;
  border-top: 0 none;
  float: left;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup:last-child {
  border-right: 0 none;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup:before {
  display: none;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup-header {
  border-top: 0 none;
}

.selectize-control.plugin-remove_button [data-value] {
  position: relative;
  padding-right: 24px !important;
}

.selectize-control.plugin-remove_button [data-value] .remove {
  z-index: 1;
  /* fixes ie bug (see #392) */
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  width: 17px;
  text-align: center;
  font-weight: bold;
  font-size: 12px;
  color: inherit;
  text-decoration: none;
  vertical-align: middle;
  display: inline-block;
  padding: 1px 0 0 0;
  border-left: 1px solid transparent;
  border-radius: 0 2px 2px 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.selectize-control.plugin-remove_button [data-value] .remove:hover {
  background: rgba(0, 0, 0, 0.05);
}

.selectize-control.plugin-remove_button [data-value].active .remove {
  border-left-color: transparent;
}

.selectize-control.plugin-remove_button .disabled [data-value] .remove:hover {
  background: none;
}

.selectize-control.plugin-remove_button .disabled [data-value] .remove {
  border-left-color: rgba(77, 77, 77, 0);
}

.selectize-control.plugin-remove_button .remove-single {
  position: absolute;
  right: 28px;
  top: 6px;
  font-size: 23px;
}

.selectize-control {
  position: relative;
}

.selectize-dropdown,
.selectize-input,
.selectize-input input {
  color: #333333;
  font-family: inherit;
  font-size: inherit;
  line-height: 20px;
  -webkit-font-smoothing: inherit;
}

.selectize-input,
.selectize-control.single .selectize-input.input-active {
  background: #ffffff;
  cursor: text;
  display: inline-block;
}

.selectize-input {
  border: 1px solid #cccccc;
  padding: 6px 12px;
  display: inline-block;
  width: 100%;
  overflow: hidden;
  position: relative;
  z-index: 1;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-box-shadow: none;
  box-shadow: none;
  border-radius: 4px;
}

.selectize-control.multi .selectize-input.has-items {
  padding: 5px 12px 2px;
}

.selectize-input.full {
  background-color: #ffffff;
}

.selectize-input.disabled,
.selectize-input.disabled * {
  cursor: default !important;
}

.selectize-input.focus {
  -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);
}

.selectize-input.dropdown-active {
  border-radius: 4px 4px 0 0;
}

.selectize-input > * {
  vertical-align: baseline;
  display: -moz-inline-stack;
  display: inline-block;
  zoom: 1;
  *display: inline;
}

.selectize-control.multi .selectize-input > div {
  cursor: pointer;
  margin: 0 3px 3px 0;
  padding: 1px 3px;
  background: #efefef;
  color: #333333;
  border: 0 solid transparent;
}

.selectize-control.multi .selectize-input > div.active {
  background: #428bca;
  color: #ffffff;
  border: 0 solid transparent;
}

.selectize-control.multi .selectize-input.disabled > div,
.selectize-control.multi .selectize-input.disabled > div.active {
  color: #808080;
  background: #ffffff;
  border: 0 solid rgba(77, 77, 77, 0);
}

.selectize-input > input {
  display: inline-block !important;
  padding: 0 !important;
  min-height: 0 !important;
  max-height: none !important;
  max-width: 100% !important;
  margin: 0 !important;
  text-indent: 0 !important;
  border: 0 none !important;
  background: none !important;
  line-height: inherit !important;
  -webkit-user-select: auto !important;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}

.selectize-input > input::-ms-clear {
  display: none;
}

.selectize-input > input:focus {
  outline: none !important;
}

.selectize-input::after {
  content: ' ';
  display: block;
  clear: left;
}

.selectize-input.dropdown-active::before {
  content: ' ';
  display: block;
  position: absolute;
  background: #ffffff;
  height: 1px;
  bottom: 0;
  left: 0;
  right: 0;
}

.selectize-dropdown {
  position: absolute;
  z-index: 10;
  border: 1px solid #d0d0d0;
  background: #ffffff;
  margin: -1px 0 0 0;
  border-top: 0 none;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  border-radius: 0 0 4px 4px;
}

.selectize-dropdown [data-selectable] {
  cursor: pointer;
  overflow: hidden;
}

.selectize-dropdown [data-selectable] .highlight {
  background: rgba(255, 237, 40, 0.4);
  border-radius: 1px;
}

.selectize-dropdown [data-selectable],
.selectize-dropdown .optgroup-header {
  padding: 3px 12px;
}

.selectize-dropdown .optgroup:first-child .optgroup-header {
  border-top: 0 none;
}

.selectize-dropdown .optgroup-header {
  color: #777777;
  background: #ffffff;
  cursor: default;
}

.selectize-dropdown .active {
  background-color: #f5f5f5;
  color: #262626;
}

.selectize-dropdown .active.create {
  color: #262626;
}

.selectize-dropdown .create {
  color: rgba(51, 51, 51, 0.5);
}

.selectize-dropdown-content {
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 200px;
  -webkit-overflow-scrolling: touch;
}

.selectize-control.single .selectize-input,
.selectize-control.single .selectize-input input {
  cursor: pointer;
}

.selectize-control.single .selectize-input.input-active,
.selectize-control.single .selectize-input.input-active input {
  cursor: text;
}

.selectize-control.single .selectize-input:after {
  content: ' ';
  display: block;
  position: absolute;
  top: 50%;
  right: 17px;
  margin-top: -3px;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 5px 0 5px;
  border-color: #333333 transparent transparent transparent;
}

.selectize-control.single .selectize-input.dropdown-active:after {
  margin-top: -4px;
  border-width: 0 5px 5px 5px;
  border-color: transparent transparent #333333 transparent;
}

.selectize-control.rtl.single .selectize-input:after {
  left: 17px;
  right: auto;
}

.selectize-control.rtl .selectize-input > input {
  margin: 0 4px 0 -2px !important;
}

.selectize-control .selectize-input.disabled {
  opacity: 0.5;
  background-color: #ffffff;
}

.selectize-dropdown,
.selectize-dropdown.form-control {
  height: auto;
  padding: 0;
  margin: 2px 0 0 0;
  z-index: 1000;
  background: #ffffff;
  border: 1px solid #cccccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
}

.selectize-dropdown .optgroup-header {
  font-size: 12px;
  line-height: 1.42857143;
}

.selectize-dropdown .optgroup:first-child:before {
  display: none;
}

.selectize-dropdown .optgroup:before {
  content: ' ';
  display: block;
  height: 1px;
  margin: 9px 0;
  overflow: hidden;
  background-color: #e5e5e5;
  margin-left: -12px;
  margin-right: -12px;
}

.selectize-dropdown-content {
  padding: 5px 0;
}

.selectize-dropdown-header {
  padding: 6px 12px;
}

.selectize-input {
  min-height: 34px;
}

.selectize-input.dropdown-active {
  border-radius: 4px;
}

.selectize-input.dropdown-active::before {
  display: none;
}

.selectize-input.focus {
  border-color: #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
}

.has-error .selectize-input {
  border-color: #a94442;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}

.has-error .selectize-input:focus {
  border-color: #843534;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #ce8483;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #ce8483;
}

.selectize-control.multi .selectize-input.has-items {
  padding-left: 9px;
  padding-right: 9px;
}

.selectize-control.multi .selectize-input > div {
  border-radius: 3px;
}

.form-control.selectize-control {
  padding: 0;
  height: auto;
  border: none;
  background: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  border-radius: 0;
}

.croppie-container {
  width: 100%;
  height: 100%;
}

.croppie-container .cr-image {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
  max-height: none;
  max-width: none;
}

.croppie-container .cr-boundary {
  position: relative;
  overflow: hidden;
  margin: 0 auto;
  z-index: 1;
  width: 100%;
  height: 100%;
}

.croppie-container .cr-viewport {
  position: absolute;
  border: 2px solid #fff;
  margin: auto;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  -webkit-box-shadow: 0 0 2000px 2000px rgba(0, 0, 0, 0.5);
          box-shadow: 0 0 2000px 2000px rgba(0, 0, 0, 0.5);
  z-index: 0;
}

.croppie-container .cr-original-image {
  display: none;
}

.croppie-container .cr-vp-circle {
  border-radius: 50%;
}

.croppie-container .cr-overlay {
  z-index: 1;
  position: absolute;
  cursor: move;
}

.croppie-container .cr-slider-wrap {
  width: 75%;
  margin: 15px auto;
  text-align: center;
}

.croppie-result {
  position: relative;
  overflow: hidden;
}

.croppie-result img {
  position: absolute;
}

.croppie-container .cr-image,
.croppie-container .cr-overlay,
.croppie-container .cr-viewport {
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}

/*************************************/

/***** STYLING RANGE INPUT ***********/

/*************************************/

/*http://brennaobrien.com/blog/2014/05/style-input-type-range-in-every-browser.html */

/*************************************/

.cr-slider {
  -webkit-appearance: none;
  /*removes default webkit styles*/
  /*border: 1px solid white; */
  /*fix for FF unable to apply focus style bug */
  width: 300px;
  /*required for proper track sizing in FF*/
  max-width: 100%;
}

.cr-slider::-webkit-slider-runnable-track {
  width: 100%;
  height: 3px;
  background: rgba(0, 0, 0, 0.5);
  border: 0;
  border-radius: 3px;
}

.cr-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: none;
  height: 16px;
  width: 16px;
  border-radius: 50%;
  background: #ddd;
  margin-top: -6px;
}

.cr-slider:focus {
  outline: none;
}

/*
.cr-slider:focus::-webkit-slider-runnable-track {
background: #ccc;
}
*/

.cr-slider::-moz-range-track {
  width: 100%;
  height: 3px;
  background: rgba(0, 0, 0, 0.5);
  border: 0;
  border-radius: 3px;
}

.cr-slider::-moz-range-thumb {
  border: none;
  height: 16px;
  width: 16px;
  border-radius: 50%;
  background: #ddd;
  margin-top: -6px;
}

/*hide the outline behind the border*/

.cr-slider:-moz-focusring {
  outline: 1px solid white;
  outline-offset: -1px;
}

.cr-slider::-ms-track {
  width: 300px;
  height: 5px;
  background: transparent;
  /*remove bg colour from the track, we'll use ms-fill-lower and ms-fill-upper instead */
  border-color: transparent;
  /*leave room for the larger thumb to overflow with a transparent border */
  border-width: 6px 0;
  color: transparent;
  /*remove default tick marks*/
}

.cr-slider::-ms-fill-lower {
  background: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}

.cr-slider::-ms-fill-upper {
  background: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}

.cr-slider::-ms-thumb {
  border: none;
  height: 16px;
  width: 16px;
  border-radius: 50%;
  background: #ddd;
  margin-top: 1px;
}

.cr-slider:focus::-ms-fill-lower {
  background: rgba(0, 0, 0, 0.5);
}

.cr-slider:focus::-ms-fill-upper {
  background: rgba(0, 0, 0, 0.5);
}

/*******************************************/

/***********************************/

/* Rotation Tools */

/***********************************/

.cr-rotate-controls {
  position: absolute;
  bottom: 5px;
  left: 5px;
  z-index: 1;
}

.cr-rotate-controls button {
  border: 0;
  background: none;
}

.cr-rotate-controls i:before {
  display: inline-block;
  font-style: normal;
  font-weight: 900;
  font-size: 22px;
}

.cr-rotate-l i:before {
  content: '\21BA';
}

.cr-rotate-r i:before {
  content: '\21BB';
}

.bootstrap-select.btn-group .dropdown-toggle .filter-option {
  text-align: right;
}

.bootstrap-select > .dropdown-toggle {
  padding-left: 25px;
  padding-right: 12px;
}

.bootstrap-select.btn-group .dropdown-toggle .caret {
  right: initial;
  left: 12px;
}

.bootstrap-select.btn-group .dropdown-menu li a {
  text-align: right;
}

.bootstrap-select.btn-group.show-tick .dropdown-menu li a span.text {
  margin-right: 0;
  margin-left: 34px;
}

.bootstrap-select.btn-group.show-tick .dropdown-menu li.selected a span.check-mark {
  right: initial;
  left: 15px;
}

.m-t-5 {
  margin-top: 5px;
}

.p-t-5 {
  padding-top: 5px;
}

.m-b-5 {
  margin-bottom: 5px;
}

.p-b-5 {
  padding-bottom: 5px;
}

.m-l-5 {
  margin-left: 5px;
}

.p-l-5 {
  padding-left: 5px;
}

.m-r-5 {
  margin-right: 5px;
}

.p-r-5 {
  padding-right: 5px;
}

.m-t-10 {
  margin-top: 10px;
}

.p-t-10 {
  padding-top: 10px;
}

.m-b-10 {
  margin-bottom: 10px;
}

.p-b-10 {
  padding-bottom: 10px;
}

.m-l-10 {
  margin-left: 10px;
}

.p-l-10 {
  padding-left: 10px;
}

.m-r-10 {
  margin-right: 10px;
}

.p-r-10 {
  padding-right: 10px;
}

.m-t-15 {
  margin-top: 15px;
}

.p-t-15 {
  padding-top: 15px;
}

.m-b-15 {
  margin-bottom: 15px;
}

.p-b-15 {
  padding-bottom: 15px;
}

.m-l-15 {
  margin-left: 15px;
}

.p-l-15 {
  padding-left: 15px;
}

.m-r-15 {
  margin-right: 15px;
}

.p-r-15 {
  padding-right: 15px;
}

.m-t-20 {
  margin-top: 20px;
}

.p-t-20 {
  padding-top: 20px;
}

.m-b-20 {
  margin-bottom: 20px;
}

.p-b-20 {
  padding-bottom: 20px;
}

.m-l-20 {
  margin-left: 20px;
}

.p-l-20 {
  padding-left: 20px;
}

.m-r-20 {
  margin-right: 20px;
}

.p-r-20 {
  padding-right: 20px;
}

.m-t-25 {
  margin-top: 25px;
}

.p-t-25 {
  padding-top: 25px;
}

.m-b-25 {
  margin-bottom: 25px;
}

.p-b-25 {
  padding-bottom: 25px;
}

.m-l-25 {
  margin-left: 25px;
}

.p-l-25 {
  padding-left: 25px;
}

.m-r-25 {
  margin-right: 25px;
}

.p-r-25 {
  padding-right: 25px;
}

.m-t-30 {
  margin-top: 30px;
}

.p-t-30 {
  padding-top: 30px;
}

.m-b-30 {
  margin-bottom: 30px;
}

.p-b-30 {
  padding-bottom: 30px;
}

.m-l-30 {
  margin-left: 30px;
}

.p-l-30 {
  padding-left: 30px;
}

.m-r-30 {
  margin-right: 30px;
}

.p-r-30 {
  padding-right: 30px;
}

.m-t-35 {
  margin-top: 35px;
}

.p-t-35 {
  padding-top: 35px;
}

.m-b-35 {
  margin-bottom: 35px;
}

.p-b-35 {
  padding-bottom: 35px;
}

.m-l-35 {
  margin-left: 35px;
}

.p-l-35 {
  padding-left: 35px;
}

.m-r-35 {
  margin-right: 35px;
}

.p-r-35 {
  padding-right: 35px;
}

.m-t-40 {
  margin-top: 40px;
}

.p-t-40 {
  padding-top: 40px;
}

.m-b-40 {
  margin-bottom: 40px;
}

.p-b-40 {
  padding-bottom: 40px;
}

.m-l-40 {
  margin-left: 40px;
}

.p-l-40 {
  padding-left: 40px;
}

.m-r-40 {
  margin-right: 40px;
}

.p-r-40 {
  padding-right: 40px;
}

.m-t-45 {
  margin-top: 45px;
}

.p-t-45 {
  padding-top: 45px;
}

.m-b-45 {
  margin-bottom: 45px;
}

.p-b-45 {
  padding-bottom: 45px;
}

.m-l-45 {
  margin-left: 45px;
}

.p-l-45 {
  padding-left: 45px;
}

.m-r-45 {
  margin-right: 45px;
}

.p-r-45 {
  padding-right: 45px;
}

.m-t-50 {
  margin-top: 50px;
}

.p-t-50 {
  padding-top: 50px;
}

.m-b-50 {
  margin-bottom: 50px;
}

.p-b-50 {
  padding-bottom: 50px;
}

.m-l-50 {
  margin-left: 50px;
}

.p-l-50 {
  padding-left: 50px;
}

.m-r-50 {
  margin-right: 50px;
}

.p-r-50 {
  padding-right: 50px;
}

.m-t-60 {
  margin-top: 60px;
}

.p-t-60 {
  padding-top: 60px;
}

.m-b-60 {
  margin-bottom: 60px;
}

.p-b-60 {
  padding-bottom: 60px;
}

.m-l-60 {
  margin-left: 60px;
}

.p-l-60 {
  padding-left: 60px;
}

.m-r-60 {
  margin-right: 60px;
}

.p-r-60 {
  padding-right: 60px;
}

.m-t-70 {
  margin-top: 70px;
}

.p-t-70 {
  padding-top: 70px;
}

.m-b-70 {
  margin-bottom: 70px;
}

.p-b-70 {
  padding-bottom: 70px;
}

.m-l-70 {
  margin-left: 70px;
}

.p-l-70 {
  padding-left: 70px;
}

.m-r-70 {
  margin-right: 70px;
}

.p-r-70 {
  padding-right: 70px;
}

.m-t-80 {
  margin-top: 80px;
}

.p-t-80 {
  padding-top: 80px;
}

.m-b-80 {
  margin-bottom: 80px;
}

.p-b-80 {
  padding-bottom: 80px;
}

.m-l-80 {
  margin-left: 80px;
}

.p-l-80 {
  padding-left: 80px;
}

.m-r-80 {
  margin-right: 80px;
}

.p-r-80 {
  padding-right: 80px;
}

.m-t-90 {
  margin-top: 90px;
}

.p-t-90 {
  padding-top: 90px;
}

.m-b-90 {
  margin-bottom: 90px;
}

.p-b-90 {
  padding-bottom: 90px;
}

.m-l-90 {
  margin-left: 90px;
}

.p-l-90 {
  padding-left: 90px;
}

.m-r-90 {
  margin-right: 90px;
}

.p-r-90 {
  padding-right: 90px;
}

.m-t-100 {
  margin-top: 100px;
}

.p-t-100 {
  padding-top: 100px;
}

.m-b-100 {
  margin-bottom: 100px;
}

.p-b-100 {
  padding-bottom: 100px;
}

.m-l-100 {
  margin-left: 100px;
}

.p-l-100 {
  padding-left: 100px;
}

.m-r-100 {
  margin-right: 100px;
}

.p-r-100 {
  padding-right: 100px;
}

.is-fullwidth {
  width: 100%;
}

